com.impinj.stp

## Class StpApi.SetCartonContentsJobCommand.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>
      - - com.impinj.stp.StpApi.SetCartonContentsJobCommand.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.SetCartonContentsJobCommandOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.SetCartonContentsJobCommand

      public static final class StpApi.SetCartonContentsJobCommand.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>
      implements StpApi.SetCartonContentsJobCommandOrBuilder

  Protobuf type `Impinj.STP.SetCartonContentsJobCommand`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.SetCartonContentsJobCommand` | `build()`
    `StpApi.SetCartonContentsJobCommand` | `buildPartial()`
    `StpApi.SetCartonContentsJobCommand.Builder` | `clear()`
    `StpApi.SetCartonContentsJobCommand.Builder` | `clearCartonContentsJob()`
    `StpApi.SetCartonContentsJobCommand.Builder` | `clone()`
    `StpApi.CartonContentsJob` | `getCartonContentsJob()`
    `StpApi.CartonContentsJob.Builder` | `getCartonContentsJobBuilder()`
    `StpApi.CartonContentsJobOrBuilder` | `getCartonContentsJobOrBuilder()`
    `StpApi.SetCartonContentsJobCommand` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `hasCartonContentsJob()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.SetCartonContentsJobCommand.Builder` | `mergeCartonContentsJob(StpApi.CartonContentsJob value)`
    `StpApi.SetCartonContentsJobCommand.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.SetCartonContentsJobCommand.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.SetCartonContentsJobCommand.Builder` | `mergeFrom(StpApi.SetCartonContentsJobCommand other)`
    `StpApi.SetCartonContentsJobCommand.Builder` | `setCartonContentsJob(StpApi.CartonContentsJob.Builder builderForValue)`
    `StpApi.SetCartonContentsJobCommand.Builder` | `setCartonContentsJob(StpApi.CartonContentsJob value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`

    - #### clear

          public StpApi.SetCartonContentsJobCommand.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`

    - #### clone

          public StpApi.SetCartonContentsJobCommand.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.SetCartonContentsJobCommand getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.SetCartonContentsJobCommand build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.SetCartonContentsJobCommand buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.SetCartonContentsJobCommand.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`

    - #### mergeFrom

          public StpApi.SetCartonContentsJobCommand.Builder mergeFrom(StpApi.SetCartonContentsJobCommand other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`

    - #### mergeFrom

          public StpApi.SetCartonContentsJobCommand.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                               throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.SetCartonContentsJobCommand.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasCartonContentsJob

          public boolean hasCartonContentsJob()

      Specified by:
        `hasCartonContentsJob` in interface `StpApi.SetCartonContentsJobCommandOrBuilder`

    - #### getCartonContentsJob

          public StpApi.CartonContentsJob getCartonContentsJob()

      Specified by:
        `getCartonContentsJob` in interface `StpApi.SetCartonContentsJobCommandOrBuilder`

    - #### setCartonContentsJob

          public StpApi.SetCartonContentsJobCommand.Builder setCartonContentsJob(StpApi.CartonContentsJob value)

    - #### setCartonContentsJob

          public StpApi.SetCartonContentsJobCommand.Builder setCartonContentsJob(StpApi.CartonContentsJob.Builder builderForValue)

    - #### mergeCartonContentsJob

          public StpApi.SetCartonContentsJobCommand.Builder mergeCartonContentsJob(StpApi.CartonContentsJob value)

    - #### clearCartonContentsJob

          public StpApi.SetCartonContentsJobCommand.Builder clearCartonContentsJob()

    - #### getCartonContentsJobBuilder

          public StpApi.CartonContentsJob.Builder getCartonContentsJobBuilder()

    - #### getCartonContentsJobOrBuilder

          public StpApi.CartonContentsJobOrBuilder getCartonContentsJobOrBuilder()

      Specified by:
        `getCartonContentsJobOrBuilder` in interface `StpApi.SetCartonContentsJobCommandOrBuilder`